using System;
using System.Net;

namespace Core.KCPTool
{
    public interface IClientConnection: IDisposable
    {
        public bool IsConnection { get; set; }
        public bool disconnect { get; set; }
        public void SendToServer(SendDataType sendDataType, byte[] buffer);
        public void Finish();
        public void ReConnect(IPEndPoint endPoint, int gameFrame);
        public bool isAwaitReConnect { get; set; }
    }
}